Support » Fixing WordPress » tiny_mce_config error

  • Fresh install:
    when I go to “Write Post”/edit/”Write Page”/edit I get error msg:
    “illegal character
    [Break on this error] �” – tiny_mce_config.php?ver=20080327 firebug, and tiny doesn’t work. I think this is gzip error – tiny_mce_config.php is not uncompressed. Maybe this is server configuration problem.
    Files are fresh from the zip.

    Any solution?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Andrew Ozz

    (@azaozz)

    WordPress Dev

    This is the double compression discussed here:
    http://wordpress.org/support/topic/164217/page/2?replies=58#post-718683

    Try the small plugin linked there, it disables compression for TinyMCE.

    Thanks! I hope this help.
    But, there is an option to disable server level compression using .htaccess?

    Another question:
    Cache-Control by AskApache is it good idea to use this tips to speed-up wp?

    Andrew Ozz

    (@azaozz)

    WordPress Dev

    tiny_mce_config.php is a custom compressor for TinyMCE. It gathers all different scripts and compresses them into one big file, speeding the loading of the page a lot. It won’t compress it if zlib.output_compression is globally enabled (in php.ini).

    From .htaccess you can control the compression for the entire site too and if you enable it there, you may need to disable compression in tiny_mce_config.php, so the output is not double-compressed. If you use Apache’s deflate, it won’t double-compress, as it runs after php has finished and detects the compressed file(s).

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘tiny_mce_config error’ is closed to new replies.